// ===================================================
// Листинг 14. Удаление каталога
//
// Файл deldir\deldir.cpp
//
// (C) A. Frolov, 1993
// ===================================================

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>

#define BYTE unsigned char
#define WORD unsigned int

extern "C" int GetNetWareShellVersion(char *,char *, char *);
extern "C" int DeleteDirectory(BYTE, char *);

void main(int argc, char *argv[]) {

	char MajorVersion=0;
	char MinorVersion=0;
	char Revision=0;

	int ccode;

	printf("\n*DELDIR* (C) Frolov A., 1993\n");

// Проверяем наличие сетевой оболочки

	asm push si
	GetNetWareShellVersion(&MajorVersion,
			&MinorVersion, &Revision);
	asm pop si

	if(MajorVersion == 0) {
		printf("\nОболочка NetWare не загружена\n");
		return;
	}

// Необходимо задать букву, обозначающую имя
// локального диска и путь к сетевому каталогу

	if(argc < 2) {
		printf("Укажите путь к каталогу, "
			"\nнапример: deldir sys:users");
		return;
	}

// Параметр должен быть задан заглавными буквами

	strupr(argv[1]);

// Удаляем каталог

	ccode = DeleteDirectory(0, argv[1]);

	if(!ccode)
		printf("Каталог удален\n");
	else
		printf("Ошибка %02.2X\n", ccode);
}

